.PHONY: frontend

FRONTEND_DIR ?= .

 setup:
	rm -f docker-compose.yaml
	cp docker-compose.dev docker-compose.yaml
	docker-compose up -d

frontend:
	@cd $(FRONTEND_DIR) && \
	export QT_QPA_PLATFORM=offscreen && \
	export QT_XCB_GL_INTEGRATION=none && \
	export QT_LOGGING_RULES="qt.qpa.*=false" && \
	export XDG_SESSION_TYPE=x11 && \
	npm run watch
